@echo off

REM ##### 引数取得 #####
set SRC_DIR=%~1
set INSTALLER_FILENAME=%~2
set INSTALL_DIR=%~3
set SERVICE_NAME=%~4

REM ##### 初期処理 #####
if NOT "%SRC_DIR:~-1%" == "\" (
	set SRC_DIR=%SRC_DIR%\
)

REM ##### Apacheの停止を試みる #####
"%INSTALL_DIR%\bin\httpd.exe" -k stop -n "%SERVICE_NAME%"

REM ##### サービス削除 #####
"%INSTALL_DIR%\bin\httpd.exe" -k uninstall -n "%SERVICE_NAME%"

REM ##### アンインストール #####
start /wait msiexec.exe /q /x "%SRC_DIR%%INSTALLER_FILENAME%"
